#include <stdio.h>              
#include<conio.h>
#include <stdlib.h>
int main()                        
{
	int br=0,raz4=0,raz5=0,raz6=0,l,k,n,i,j,p,q,r;
	float raz1,raz2,raz3;
        scanf("%d %d %d %d %d",&p,&q,&k,&l,&r);
        n=l;
      for(n=l;n<=r;n++)
    	{
    	raz4=l/p;
        raz5=l/q;
        raz6=l/k;
    	raz1=(float)l/p;
        raz2=(float)l/q;
        raz3=(float)l/k;
        
        if(raz1>raz4)
        {
        	raz4=raz4+1;
		}
		else
		{
			raz4=raz4;
		}
		if(raz2>raz5)
        {
        	raz5=raz5+1;
		}
		else
		{
			raz5=raz5;
		}
		if(raz3>raz6)
        {
        	raz6=raz6+1;
		}
		else
		{
			raz6=raz6;
		}
		if(raz4+raz5+raz6<=l)
		{
			br++;
		}
		l++;
    }
    printf("%d",br);
	
}